Package javax.mail.search

# Class AddressTerm

java.lang.Object
javax.mail.search.SearchTerm
javax.mail.search.AddressTerm

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FromTerm`, `RecipientTerm`

public abstract class AddressTerm extends SearchTerm
This class implements Message Address comparisons.

Author:
  Bill Shannon, John Mani
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Address`
`address`
The address.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AddressTerm(Address address)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`Address`
`getAddress()`
Return the address to match with.
`int`
`hashCode()`
Compute a hashCode for this object.
`protected boolean`
`match(Address a)`
Match against the argument Address.

### Methods inherited from class javax.mail.search.SearchTerm

`match`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### address

protected Address address
The address.

## Constructor Details

### AddressTerm

protected AddressTerm(Address address)

## Method Details

### getAddress

public Address getAddress()
Return the address to match with.

Returns:
  the adddress

### match

protected boolean match(Address a)
Match against the argument Address.

Parameters:
  `a` - the address to match
Returns:
  true if it matches

### equals

public boolean equals(Object obj)
Equality comparison.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Compute a hashCode for this object.

Overrides:
  `hashCode` in class `Object`